/*
Copyright © 2013 Alexander Kobzar (sashakobzar@gmail.com)

GETALP
Grenoble Informatics Laboratory
France

This tool allows you to extract a tokenized text from a csv file generated by an xml2csv.py script from mwetoolkit.
*/
using System;
using System.IO;

class csv2text
{
    public static void Main(string[] args)
    {
        if (args.GetLength(0) != 0 && (args[0] == "/?" || args[0] == "-help"))
        {
            Console.WriteLine("csv2text.exe <csv file> <output file>");
            return;
        }
        if (args.Length != 2)
        {
            Console.WriteLine("Wrong number of agruments.\r\nUsage: csv2text.exe <csv file> <output file>");
            return;
        }
        if (!File.Exists(args[0]))
        {
            Console.WriteLine("{0} does not exist.", args[0]);
            return;
        }
        StreamReader readCsv = new StreamReader(args[0]);
        StreamWriter writeCorpus;
		char [] tab = {'\t'};
		string [] strSplit;
		string strRead;
		try
        {
            writeCorpus = new StreamWriter(args[1]);
        }
        catch (Exception e)
        {
            Console.WriteLine("The output file you specified, {0}, cannot be created due to the following reason:\r\n{1}", args[1], e.Message);
            return;
        }
        //Extract text from the second column
        while ((strRead =readCsv.ReadLine () )!=null)
        {
			strSplit =strRead.Split (tab  ); 
			if (strSplit.GetLength (0)<2)
			{
				Console.WriteLine(args[0] + "The following string in {0} is malformed:\r\n", args[0],strRead );
				return ;
			}else{
                writeCorpus.WriteLine(strSplit[1]);
            }
        }
        writeCorpus.Close();
    }
}